# DataExchange
TKSTEP209
StepElement

# StepElement_AnalysisItemWithinRepresentation Class Reference

Representation of STEP entity AnalysisItemWithinRepresentation
.

`#include <StepElement_AnalysisItemWithinRepresentation.hxx>`

## Public Member Functions

Standard_EXPORT | StepElement_AnalysisItemWithinRepresentation ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(TCollection_HAsciiString)&aDescription, const Handle(StepRepr_RepresentationItem)&aItem, const Handle(StepRepr_Representation)&aRep)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_TCollection_HAsciiString | Name () const
| Returns field Name .
Standard_EXPORT void | SetName (const Handle(TCollection_HAsciiString)&Name)
| Set field Name .
Standard_EXPORT Handle_TCollection_HAsciiString | Description () const
| Returns field Description .
Standard_EXPORT void | SetDescription (const Handle(TCollection_HAsciiString)&Description)
| Set field Description .
Standard_EXPORT Handle_StepRepr_RepresentationItem | Item () const
| Returns field Item .
Standard_EXPORT void | SetItem (const Handle(StepRepr_RepresentationItem)&Item)
| Set field Item .
Standard_EXPORT Handle_StepRepr_Representation | Rep () const
| Returns field Rep .
Standard_EXPORT void | SetRep (const Handle(StepRepr_Representation)&Rep)
| Set field Rep .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TCollection_HAsciiString | theName
Handle_TCollection_HAsciiString | theDescription
Handle_StepRepr_RepresentationItem | theItem
Handle_StepRepr_Representation | theRep

## Constructor & Destructor Documentation

Standard_EXPORT StepElement_AnalysisItemWithinRepresentation::StepElement_AnalysisItemWithinRepresentation | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_TCollection_HAsciiString StepElement_AnalysisItemWithinRepresentation::Description | ( |  | ) | const

Standard_EXPORT const StepElement_AnalysisItemWithinRepresentation::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepElement_AnalysisItemWithinRepresentation::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(TCollection_HAsciiString)& | aDescription,
|  | const Handle(StepRepr_RepresentationItem)& | aItem,
|  | const Handle(StepRepr_Representation)& | aRep
| ) |

Standard_EXPORT Handle_StepRepr_RepresentationItem StepElement_AnalysisItemWithinRepresentation::Item | ( |  | ) | const

Standard_EXPORT Handle_TCollection_HAsciiString StepElement_AnalysisItemWithinRepresentation::Name | ( |  | ) | const

Standard_EXPORT Handle_StepRepr_Representation StepElement_AnalysisItemWithinRepresentation::Rep | ( |  | ) | const

Standard_EXPORT void StepElement_AnalysisItemWithinRepresentation::SetDescription | ( | const Handle(TCollection_HAsciiString)& | Description | ) |

Standard_EXPORT void StepElement_AnalysisItemWithinRepresentation::SetItem | ( | const Handle(StepRepr_RepresentationItem)& | Item | ) |

Standard_EXPORT void StepElement_AnalysisItemWithinRepresentation::SetName | ( | const Handle(TCollection_HAsciiString)& | Name | ) |

Standard_EXPORT void StepElement_AnalysisItemWithinRepresentation::SetRep | ( | const Handle(StepRepr_Representation)& | Rep | ) |

## Field Documentation

Handle_TCollection_HAsciiString StepElement_AnalysisItemWithinRepresentation::theDescription `[private]`

Handle_StepRepr_RepresentationItem StepElement_AnalysisItemWithinRepresentation::theItem `[private]`

Handle_TCollection_HAsciiString StepElement_AnalysisItemWithinRepresentation::theName `[private]`

Handle_StepRepr_Representation StepElement_AnalysisItemWithinRepresentation::theRep `[private]`

The documentation for this class was generated from the following file:

- StepElement_AnalysisItemWithinRepresentation.hxx